Subject: Re: bug#40573: 27.0.90; flymake-mode broken in scratch buffer

From: João Távora <[email-masked]>
Date: Sun, 19 Apr 2020 12:41:16 +0100

On Sun, Apr 19, 2020 at 1:20 AM Basil L. Contovounesios <[email-masked]>
wrote:

> João Távora <[email-masked]> writes:
>
> > On Sat, Apr 18, 2020 at 12:56 PM Basil L. Contovounesios <
> [email-masked]> wrote:
> >
> >  gnus-adaptive-file-suffix, respectively.  Would these suffixes be unique
> >  enough on their own to be added to auto-mode-alist?  Perhaps
> >  gnus-score.el could do this after evaluating the defcustoms.
> >
> > auto-mode-alist has comments near it that discourage it.
>
> Okay, but we could still statically add the default values to
> auto-mode-alist, as was suggested elsewhere in this thread.
>

Oh yes.  At the time I didn't know that was an option,
but if you think it's "safe", go for it.  If users change
defaults, they'll get false positives maybe. ¯\_(ツ)_/¯

> If no-one beats me to it, I'll submit a patch for the Gnus folks to
> review after lisp-data-mode lands.

Sounds good.

João